Class | Exception
In: | lib/phusion_passenger/utils.rb
Parent: | Object

### Methods

backtrace_string

### Public Instance methods

backtrace_string(current_location = nil)

[Source]

         # File lib/phusion_passenger/utils.rb, line 861
    861:         def backtrace_string(current_location = nil)
    862:                 if current_location.nil?
    863:                         location = nil
    864:                 else
    865:                         location = "in #{current_location} "
    866:                 end
    867:                 return "*** Exception #{self.class} #{location}" <<
    868:                         "(#{self}) (process #{$$}, thread #{Thread.current}):\n" <<
    869:                         "\tfrom " << backtrace.join("\n\tfrom ")
    870:         end

[Validate]